function result = ColumnXcorr(sign_fen);

% Cette fonction calcule la corrlation des colonnes une  une de la matrice en paramtre.
% Le rsultat est une matrice avec des coefficients normaliss par la valeur maximale des colonnes

corr = [];
[NbLigne, NbColonne] = size(sign_fen);

for i = 1:NbColonne
   
   if ( sum(sign_fen(:,i).*sign_fen(:,i)) == 0 ) 			 % si la colonne est nulle
      corr = [ corr, zeros(NbLigne*2 - 1, 1) ];           % la corrlation est une suite de zros
   else
      corr = [corr,xcorr(sign_fen(:,i),'coeff')] ;			 % sinon on calcule la corrlation de la colonne
   end
   
end

result = corr;