% Cette fonction enregistre les paramtres du signal courant.
% Elle est appele lors du clic sur OK dans la fentre d'enregistrement des paramtres.

Fbis = coefpitch*F;       % on cre des variables contenant les valeurs courantes de F et de C
CoeffPredictionbis = C;

% Enregistrement des frquences du signal
if (get(findobj('Tag', 'CheckFreq'), 'Value') == 1)    % si la case de frquence est clique
   save(strcat('Fq', get(findobj('Tag', 'FreqEnregistrer'),'String')), 'Fbis'); % on ajoute Fq au dbut du nom et on sauve
   H = findobj('Tag', 'SyntheFreq');
   temp = get(H,'String');
	temp = char(temp(get(H,'Value')));
   strcourant = lookforfilebis('Fq');
   strcourant = cat(2, {''}, strcourant);
	set(H,'String', strcourant);
	if ~strcmp(temp, char(strcourant(get(H, 'Value'))))			% on rafraichit le contenu de la liste droulante
   	set(H,'Value', get(H, 'Value')+1);								% en se positionnant sur le nom de fichier choisi
	end																			% avant l'enregistrement
end

% Enregistrement des coefficients des filtres du signal
if (get(findobj('Tag', 'CheckCoeff'), 'Value') == 1)
   save(strcat('LPC', get(findobj('Tag', 'CoeffEnregistrer'),'String')), 'CoeffPredictionbis'); % on ajoute LPC comme prfixe du nom
   H = findobj('Tag', 'SyntheLPC');
   temp = get(H,'String');
	temp = char(temp(get(H,'Value')));
   strcourant = lookforfilebis('LPC');
   strcourant = cat(2, {''}, strcourant);
	set(H,'String', strcourant);
	if ~strcmp(temp, char(strcourant(get(H, 'Value'))))
   	set(H,'Value', get(H, 'Value')+1);
	end
end


close(gcbf);