function result = PonderationHamming( sign_fen );

% Cette fonction ralise la pondration de Hamming de toutes les colonnes de la matrice en paramtre.

[NbLigne, NbColonne] = size(sign_fen);

H = hamming(NbLigne) ;       % coefficients de pondration de Hamming
W = H * ones(1,NbColonne) ;  % ralisation d'une matrice de pondration de Hamming
sign_fen = sign_fen .* W ;   % produit entre la matrice de pondration et de la matrice

result = sign_fen;