function result = Preaccentuation(vecteur);

% Cette fonction permet de raliser la praccentuation du signal sonore donn en paramtre.
% Ceci permet d'galiser les sons aigus par rapport aux sons graves.
% Le filtre utilis est non rcursif : il s'crit H(z) = 1 - z^(-1) avec =0.9375

mu = 0.9375;

filtreNum = [1 -mu];  % Numrateur du filtre
filtreDen = [1 ];     % Dnumrateur du filtre

result = filter(filtreNum,filtreDen,vecteur); % filtrage par H(z)