% Cette fonction est appele lors de la modification des coefficents LPC courants par d'autres coefficents enregistrs

LPC_string = get(gcbo, 'String');
LPC_valeur = get(gcbo, 'Value');

C = CoeffPrediction;
V = Variance;
F = Fo;


if (LPC_valeur ~= 1)
   load(char(LPC_string(LPC_valeur)));
   
   [NbLignebis, NbColonnebis] = size(CoeffPredictionbis);
   [NbLigne, NbColonne] = size(CoeffPrediction);
   if (NbColonnebis < NbColonne)
      C = CoeffPredictionbis;
      F = Fo(1:NbColonnebis);
      V = Variance(1:NbColonnebis);
   else
      C = CoeffPredictionbis(:,1:NbColonne);
   end
   
end

if (length(coefvariance) ~= 1)
   coefvariance = ones(1, length(V));
	for i=1:length(F)
      	if ( (coefpitch*F(i)>0) & (coefpitch*F(i)<1000) )  % On recalcule l'effet qualiseur
      	coefvariance(i) = exp(5*y(coefpitch*F(i)));
   		end
	end
end

H = findobj('Tag', 'SyntheFreq');  % La modification des frquences est mutuellemnt exclusive avec la modification des coefficents de filtre
set(H, 'Value', 1);

sign_synth = Synthese(coefpitch*F, fe, TempsFenetre/coefvitesse, V.*coefvariance, C);
vibrato = (1+0.6*sin(2*pi*coefvibrato*[1/length(sign_synth):1/length(sign_synth):1]));
sign_synth = vibrato.*sign_synth;
sign_synth = Desaccentuation(sign_synth);
MiseAJourAffichage(G2, sign_synth, Type_graph_synth, F, coefpitch, fe);
AjustementAffichage;


end