% Cette fonction est excute lors de la modification d'un des sliders de l'qualiseur.

% Vrification des positions des sliders
H = findobj('Tag', 'Equaliseur1');
eq1 = get(H, 'Value');
eq1=(8*eq1-4);

H = findobj('Tag', 'Equaliseur2');
eq2 = get(H, 'Value');
eq2=(8*eq2-4);

H = findobj('Tag', 'Equaliseur3');
eq3 = get(H, 'Value');
eq3=(8*eq3-4);

H = findobj('Tag', 'Equaliseur4');
eq4 = get(H, 'Value');
eq4=(8*eq4-4);

H = findobj('Tag', 'Equaliseur5');
eq5 = get(H, 'Value');
eq5=(8*eq5-4);

H = findobj('Tag', 'Equaliseur6');
eq6 = get(H, 'Value');
eq6=(8*eq6-4);

% Interpolation rectiligne entre les points de l'qualiseur
y=interp1( [31 63 125 250 500 1000], [ eq1 eq2 eq3 eq4 eq5 eq6 ], [0:1:1000]);

axes(G3);
semilogx(y(31:1000),'r');
set(G3,'YLim',[-4 +4]);
set(G3,'XLim',[15 1000]);

coefvariance = ones(1, length(V));
for i=1:length(F)
   
   if ( (coefpitch*F(i)>0) & (coefpitch*F(i)<1000) )
      coefvariance(i) = exp(5*y(coefpitch*F(i)));    % Calcul des poids de pondration des variances
   end
   
end

sign_synth = vibrato.*Synthese(coefpitch*F, fe, TempsFenetre/coefvitesse, V.*coefvariance, C);
sign_synth = Desaccentuation(sign_synth);
sign_synth = (sign_synth./max(sign_synth))*coefonde;

MiseAJourAffichage(G2, sign_synth, Type_graph_synth, F, coefpitch, fe);
AjustementAffichage;