function result = BruitBlanc(TempsFenetre, fe, variance, coeffs);

% Cette fonction rend un bruit blanc de dure TempsFenetre, avec un pas d'chantillonnage de fe
% et d'nergie ajuste en fonction de la variance considre. Ce bruit blanc est filtr par un filtre AR
% de coefficients de prdiction linaire donns dans coeffs.

t_wind = round(TempsFenetre * fe);  % nbre de points par fentre

BB = randn(1,t_wind);         % gnration d'un bruit blanc gaussien centr et de variance unit de longueur t_wind
VarianceBB = cov(BB);			% calcul de la variance du bruit blanc gnr.
gain = sqrt(variance/VarianceBB); 	  % calcul du gain  appliquer au bruit blanc

result = filter(1, coeffs, BB*gain) ; % filtrage du bruit blanc gnr