% Ce programme va rendre actif ou non l'effet synthtiseur.

% Activation ou dsactivation du choix de frquences diffrentes pour le signal 
H = findobj('Tag', 'SyntheFreq');
if strcmp(get(H,'Enable'), 'off')
   set(H, 'Enable', 'on');
   bool = 0;
else
   set(H, 'Enable', 'off');
   F = Fo;
   bool = 1;
end
set(H, 'Value', 1);


% Activation ou dsactivation du choix de filtres diffrents pour le signal 
H = findobj('Tag', 'SyntheLPC');
if strcmp(get(H,'Enable'), 'off')
   set(H, 'Enable', 'on');
else
   set(H, 'Enable', 'off');
   C = CoeffPrediction;
end
set(H, 'Value', 1);

% Si la fonction tait active, on va rinitialiser le signal pour supprimer les modifications 
% apportes par cette fonction.
if bool
   C = CoeffPrediction;
   V = Variance;
   F = Fo;
   
   if (length(coefvariance) ~= 1)
   	coefvariance = ones(1, length(V));
		for i=1:length(F)
      	if ( (coefpitch*F(i)>0) & (coefpitch*F(i)<1000) )  % recalcule de l'effet d'qualiseur
      		coefvariance(i) = exp(5*y(coefpitch*F(i)));		% on profite du fait que la variable y soit globale
   		end
		end
   end
   
   sign_synth = Synthese(coefpitch*F, fe, TempsFenetre/coefvitesse, V.*coefvariance, C);
   vibrato = (1+0.6*sin(2*pi*coefvibrato*[1/length(sign_synth):1/length(sign_synth):1]));
   sign_synth = vibrato.*sign_synth;								% re-synthse du son
	sign_synth = Desaccentuation(sign_synth);
   MiseAJourAffichage(G2, sign_synth, Type_graph_synth, F, coefpitch, fe);
   AjustementAffichage;
    
end