function MiseAJourAffichage(handle, signal, graph_kind, F, coefpitch, fe);
% Cette fonction s'occupe de l'affichage dans les cadrans prvus  cet effet. Elle affiche 'signal' dans le graphe choisi 
% par 'handle', sous la forme 'graph_kind', en se servant des paramtres 'F', 'coefpitch'
% et 'fe'.

% Slection du graphe.
axes(handle);


% Affichange selon le type dsir.
switch graph_kind
   
case 'Onde',
   t=0:1/fe:(length(signal)-1)/fe; 
   plot(t,signal);
   set(handle, 'XLim', [0 (length(signal)-1)/fe]); % ajustement d'axe
   xlabel('Time (s)');
   ylabel('Amplitude');
case 'Pitch',
   bar(coefpitch*F);
   xlabel('Windowed time sequences');
   ylabel('Frequency  (Hz)');
case 'Spectrogramme'
   t=0:1/fe:(length(signal)-1)/fe; 
   [B,F,T] = specgram(signal);
   imagesc(t,F,20*log10(abs(B)));
   axis xy;
   colormap(jet);
   xlabel('Time (s)');
	ylabel('Reduced frequencies');
end
