% Cette fonction est excute lors du clic sur le bouton OK de la fentre lance pour s'enregistrer.

H = findobj('Tag', 'NomFichier');
nom = get(H, 'String');
if (length(nom) == 0)
   nom = 'Enregistrement';  % le nom par dfaut est Enregistrement
end

H = findobj('Tag', 'Duree');
duree = get(H, 'String');
duree = str2num(char(duree(get(H,'Value')))); % Choix de la dure
duree = duree*1000;

H = findobj('Tag', 'FreqEch');
freq = get(H, 'String');
if (length(freq) == 0)								% Choix de la frquence d'chantillonnage (8 kHz)par dfaut
   freq = '8000';
end
freq(find(freq==' ')) = '';
freq = str2num(freq);
if (length(freq)== 0)
   freq = 8000;
end
if freq < 4000
   freq = 4000;
elseif freq > 44100									% Limitation de la frquence choisie
   freq = 44100;
end

son = wavrecord(freq*duree/1000, freq, 1, 8);
wavwrite(son, freq, 8, nom);						% le son est cod sur 8 bits

H = findobj('Tag', 'ListeSon');
temp = get(H,'String');
temp = char(temp(get(H,'Value')));
strcourant = lookforfile('wav');
strcourant = cat(2, {''}, strcourant);
set(H,'String', strcourant);
if ~strcmp(temp, char(strcourant(get(H, 'Value'))))
   set(H,'Value', get(H, 'Value')+1);
end;

if strcmp(temp, nom) % si le son est enregistr au mme nom que le fichier trait juste avant
   
   String_nom = get(H, 'String');	% vrification du son choisi
	Value_choix = get(H, 'Value');
	[son_choisi, fe] = wavread(char(String_nom(Value_choix))); % lecture du fichier .wav correspondant
	MiseAJourAffichage(G1, son_choisi, Type_graph_original, F, coefpitch, fe); % mise  jour de l'affichage dans le premier cadre
   
   axes(G2);	% nettoyage du deuxime cadre
	cla;

	axes(G3);	% nettoyage du cadre de l'qualiseur
	cla;

   H = findobj('Tag', 'Ecoute_reconstitue');  % Dsactive le bas de l'interface qui correspond au son reconstitu
	set(H, 'Enable', 'off');

	H = findobj('Tag', 'Affichage_recons');
	set(H, 'Enable', 'off');

	H = findobj('Tag', 'FFT');
	set(H, 'Enable', 'off');

	H = findobj('Tag', 'Enregistrer');
	set(H, 'Enable', 'off');

	InitButtonOff;
   InitSlider;
end

close(gcbf);