% Cette fonction est appele lors de la modification des frquences courantes par d'autres frquences enregistres

Fq_string = get(gcbo, 'String');
Fq_valeur = get(gcbo, 'Value');

C = CoeffPrediction;
V = Variance;
F = Fo;


if (Fq_valeur ~= 1)
   load(char(Fq_string(Fq_valeur)));
   
   Longueurbis = length(Fbis);
   Longueur = length(Fo);
   if (Longueurbis < Longueur)
      C = CoeffPrediction(:,1:Longueurbis);
      F = Fbis;
      F(find(Fo(1:length(F)) == 0)) = 0; % les squences non-voises sont laisses non-voises
      V = Variance(1:Longueurbis);
   else
      F = Fbis(1:Longueur);
      F(find(Fo(1:length(F)) == 0)) = 0; % les squences non-voises sont laisses non-voises
   end
   
end

if (length(coefvariance) ~= 1)
   coefvariance = ones(1, length(V));
	for i=1:length(F)
      	if ( (coefpitch*F(i)>0) & (coefpitch*F(i)<1000) )  % On recalcule l'effet qualiseur
      		coefvariance(i) = exp(5*y(coefpitch*F(i)));
   		end
	end
end

H = findobj('Tag', 'SyntheLPC');  % La modification des frquences est mutuellemnt exclusive avec la modification des coefficents de filtre
set(H, 'Value', 1);

sign_synth = Synthese(coefpitch*F, fe, TempsFenetre/coefvitesse, V.*coefvariance, C);
vibrato = (1+0.6*sin(2*pi*coefvibrato*[1/length(sign_synth):1/length(sign_synth):1]));
sign_synth = vibrato.*sign_synth;
sign_synth = Desaccentuation(sign_synth);
MiseAJourAffichage(G2, sign_synth, Type_graph_synth, F, coefpitch, fe);
AjustementAffichage;