
%%%%%%%%%%%%%%%%%%%%%% LPC - VOICE CODER %%%%%%%%%%%%%%%%%%%
          
% Projet de conception de Muttalip AKIN & Gregory LENOIR & Boris BEAUVAIS
% Suplec promotion 2002
% Le programme ralise la dissociation source-conduit du signal vocal par la
% mthode de corrlation. La synthse vocale se fait en vrifiant le voisement
% du son, sa frquence fondamentale le cas chant, le gain  appliquer.

         
% CHARGEMENT DU SIGNAL DE PAROLE
S=son_choisi;

% PRACCENTUATION
S = Preaccentuation(S) ;

% FENTRAGE DU SIGNAL
sign_fen = Fenetrage(TempsFenetre, TempsOverlap, S, fe);

% PONDRATION PAR FENTRE DE HAMMING
sign_fen = PonderationHamming( sign_fen );

% CALCUL DES COEFFICIENTS DE PRDICTION LINAIRE
[CoeffPrediction, Variance ] = LPCparameters(Choix_ordre, sign_fen, TempsOverlap, fe, TempsFenetre);

% DETECTION DE LA FREQUENCE FONDAMENTALE
Fo = FreqFondamentale(sign_fen, TempsFenetre, fe);

% SYNTHSE DU SIGNAL VOCAL
sign_synth = Synthese(Fo, fe, TempsFenetre, Variance, CoeffPrediction);

% DSACCUENTATION
sign_synth = Desaccentuation(sign_synth);