function fig = interface()

% Interface du vocodeur LPC

load interface

affichage1={'Onde','Spectrogramme'};
affichage2={'Onde', 'Pitch', 'Spectrogramme'};
ordrepre={5,8,10,12,15,20,50};
nomfichierWAV =lookforfile('wav');
printset='FilePrintSetup';
if (length(nomfichierWAV) ~= 0)
   nomfichierWAV = cat(2, {''}, nomfichierWAV);
end

nomfichierFq =lookforfilebis('Fq');
if (length(nomfichierFq) ~= 0)
   nomfichierFq = cat(2, {''}, nomfichierFq);
end

nomfichierLPC =lookforfilebis('LPC');
if (length(nomfichierLPC) ~= 0)
   nomfichierLPC = cat(2, {''}, nomfichierLPC);
end


h0 = figure('Units','points', ...
	'Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'DoubleBuffer','on', ...
	'KeyPressFcn','ctlpanel KeyPress', ...
	'MenuBar','none', ...
	'Name','Interface du Vocodeur LPC', ...
	'PaperPosition',[18 180 576 432], ...
	'PaperUnits','points', ...
	'PointerShapeCData',mat1, ...
	'Position',[60 60 600 425.25], ...
	'Resize','off', ...
	'Tag','Interface', ...
	'ToolBar','none', ...
   'DefaultaxesCreateFcn','plotedit(gcbf,''promoteoverlay''); ');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
   'Callback','domymenu menubar zoomin                            ', ...
	'Enable','off', ...
   'ListboxTop',0, ...
   'Position',[200 399 50 15], ...
   'String','Zoom', ...
	'Style','checkbox', ...
	'Tag','Zoom');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ListboxTop',0, ...
	'Position',[0 0 3 425.25], ...
	'Style','text', ...
   'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ListboxTop',0, ...
	'Position',[597 0 3 425.25], ...
	'Style','text', ...
   'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ListboxTop',0, ...
	'Position',[0 422.25 600 3], ...
	'Style','text', ...
   'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ListboxTop',0, ...
	'Position',[0 0 600 3], ...
	'Style','text', ...
   'Tag','StaticText1');

h1 = uimenu('Parent',h0, ...
	'Label','&Print', ...
   'Tag','Print');
h2 = uimenu('Parent',h1, ...
   'Callback','printdlg', ...
	'Label','&Print', ...
   'Tag','Print');
h2 = uimenu('Parent',h1, ...
   'Callback','printdlg -setup', ...
	'Label','Print Set&up', ...
   'Tag','Print Setup');
h2 = uimenu('Parent',h1, ...
   'Callback','printpreview(gcbf)', ...
	'Label','Print Pre&view', ...
	'Tag','Print Preview');
h1 = uimenu('Parent',h0, ...
	'Label','&Help', ...
	'Tag','Help');
h2 = uimenu('Parent',h1, ...
	'Callback','HelpWindowVocoder', ...
	'Label','help &vocodeur LPC', ...
	'Tag','Help vocoder');
h2 = uimenu('Parent',h1, ...
	'Callback','HelpWindowAffichage', ...
	'Label','help &affichage', ...
	'Tag','Help affichage');
h2 = uimenu('Parent',h1, ...
	'Callback','HelpWindowPredicteur', ...
	'Label','help &predicteur', ...
	'Tag','Help predicteur');
h2 = uimenu('Parent',h1, ...
	'Callback','HelpWindowTraitement', ...
	'Label','help &traitement', ...
	'Tag','Help traitement');
h2 = uimenu('Parent',h1, ...
	'Callback','HelpWindowFFT', ...
	'Label','help &FFT', ...
	'Tag','Help FFT');
h2 = uimenu('Parent',h1, ...
	'Callback','HelpWindowPitch', ...
	'Label','help p&itch', ...
	'Tag','Help pitch');
h2 = uimenu('Parent',h1, ...
	'Callback','HelpWindowVibrato', ...
	'Label','help vi&brato', ...
	'Tag','Help vibrato');
h2 = uimenu('Parent',h1, ...
	'Callback','HelpWindowVitesse', ...
	'Label','help vite&sse', ...
	'Tag','Help vitesse');
h2 = uimenu('Parent',h1, ...
	'Callback','HelpWindowSynthe', ...
	'Label','help &synthtiseur', ...
	'Tag','Help synthe');
h2 = uimenu('Parent',h1, ...
	'Callback','HelpWindowEqualiseur', ...
	'Label','help &qualiseur', ...
	'Tag','Help qualiseur');
h1 = uimenu('Parent',h0, ...
	'Callback','AboutWindow', ...
	'Label','&About', ...
	'Tag','About');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeHGBinObject', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeFigObjStorage', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeHGBinObject', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeFigObjStorage', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeHGBinObject', ...
	'Visible','off');
h1 = uimenu('Parent',h0, ...
	'HandleVisibility','off', ...
	'Tag','ScribeFigObjStorage', ...
	'Visible','off');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','choixson;', ...
	'ListboxTop',0, ...
	'Position',[97.125 397.25 85.5 18], ...
	'String',nomfichierWAV, ...
	'Style','popupmenu', ...
	'Tag','ListeSon', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[378.75 113.25 195.75 213], ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','EnableEffetVibrato;', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[387.75 229.75 17.25 22.5], ...
	'Style','radiobutton', ...
	'Tag','RadiobuttonVibrato');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
   'FontWeight','bold', ...
   'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[399 235 45 12], ...
	'String','Vibrato', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','slidervibrato;', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[456.75 234.25 108 15], ...
	'Style','slider', ...
	'Tag','Slidervibrato');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[0 1 1], ...
	'ListboxTop',0, ...
	'Position',[456.75 248.5 108 9.75], ...
	'String','Low                        Fast', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','sliderpitch;', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[456.75 265.75 108 15], ...
	'Style','slider', ...
	'Tag','Sliderpitch', ...
	'Value',0.5);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[0 1 1], ...
	'ListboxTop',0, ...
	'Position',[456.75 280.75 108 9.75], ...
	'String','-2 oct        0       +2 oct', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
   'Units','points', ...
   'FontWeight','bold', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[399 267.25 38 12], ...
	'String','Pitch', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','EnableEffetPitch;', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[387.75 262 17.25 22.5], ...
	'Style','radiobutton', ...
	'Tag','RadiobuttonPitch');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','EnableEffetVitesse', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[387.75 197.5 17.25 22.5], ...
	'Style','radiobutton', ...
	'Tag','RadiobuttonVitesse');
h1 = uicontrol('Parent',h0, ...
   'Units','points', ...
   'FontWeight','bold', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[399 202.75 46 12], ...
	'String','Vitesse', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','slidervitesse;', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[456.75 201.25 108 15], ...
	'Style','slider', ...
	'Tag','Slidervitesse', ...
	'Value',0.5);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[0 1 1], ...
	'ListboxTop',0, ...
	'Position',[456.75 216.25 108 9.75], ...
	'String','Low                        Fast', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',13, ...
	'ListboxTop',0, ...
	'Position',[422.25 295 115.5 23.25], ...
	'String','Effets Sonores', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','traitement;', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[415.5 342.75 52.5 23.25], ...
	'String','Traitement', ...
   'Tag','Traitement');

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','enregistrer;', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[280 170.75 52.5 23.25], ...
	'String','Enregistrer', ...
	'Tag','Enregistrer');

h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
   'Color',[1 1 1], ...
	'ColorOrder',mat3, ...
	'CreateFcn','plotedit(gcbf,''promoteoverlay''); ', ...
	'Position',[57 60 400 149], ...
	'Tag','Axes2', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4987468671679198 -0.1621621621621618 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[-0.07268170426065163 0.4932432432432434 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Interruptible','off', ...
	'Position',mat4, ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4987468671679197 1.044585987261147 9.160254037844386], ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[14.25 399.5 66.75 12], ...
	'String','Son  traiter', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[374.25 381.75 96 12], ...
	'String','Ordre du prdicteur', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','Ecoute(son_choisi, fe);', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[197.25 370.25 52.5 23.25], ...
	'String','Ecoute', ...
	'Tag','Ecoute_original');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','PlotFFT', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[486 342.75 52.5 23.25], ...
	'String','FFT', ...
	'Tag','FFT');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','Ecoute(sign_synth, fe);', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[196.5 170.75 52.5 23.25], ...
	'String','Ecoute', ...
	'Tag','Ecoute_reconstitue');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',10, ...
	'FontWeight','bold', ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[14.25 203 83.25 12], ...
	'String','Son reconstitu', ...
	'Style','text', ...
   'Tag','StaticText3');
h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat5, ...
	'CreateFcn','plotedit(gcbf,''promoteoverlay'');', ...
	'Position',[57 323 400 149], ...
	'Tag','Axes1', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[0.4987468671679198 -0.1621621621621621 9.160254037844386], ...
	'Tag','Axes1Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',[-0.07268170426065163 0.4932432432432434 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes1Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Interruptible','off', ...
	'Position',mat6, ...
	'Tag','Axes1Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'ButtonDownFcn','ctlpanel SelectMoveResize', ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Interruptible','off', ...
	'Position',mat7, ...
	'Tag','Axes1Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[26.25 375.875 60.75 12], ...
	'String','Affichage', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','plot_graph_original;', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[97.5 372.875 85.5 18], ...
	'String',affichage1, ...
	'Style','popupmenu', ...
	'Tag','affichage_original', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','plot_graph_synth;', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[96.75 173.375 85.5 18], ...
	'String',affichage2, ...
	'Style','popupmenu', ...
	'Tag','Affichage_recons', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',10, ...
	'ListboxTop',0, ...
	'Position',[26.25 176.375 60.75 12], ...
	'String','Affichage', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','ordre_filtre;', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[471.75 378.75 85.5 18], ...
	'String',ordrepre, ...
	'Style','popupmenu', ...
	'Tag','ordrepredic', ...
   'Value',3);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[0 1 1], ...
	'ListboxTop',0, ...
	'Position',[406.75 155 58 9.75], ...
	'String','Frquences', ...
	'Style','text', ...
   'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[0 1 1], ...
	'ListboxTop',0, ...
	'Position',[486.75 155 58 9.75], ...
	'String','Filtres', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
   'Units','points', ...
   'FontWeight','bold', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[399 170.5 65 12], ...
	'String','Synthtiseur', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','EnableSynthe', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[387.75 165.25 17.25 22.5], ...
	'Style','radiobutton', ...
   'Tag','RadiobuttonSynthetiseur');
h1 = uicontrol('Parent',h0, ...
   'Units','points', ...
   'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
   'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[406.75 135 60 20], ...
	'String',nomfichierFq, ...
	'Style','popupmenu', ...
   'Tag','SyntheFreq', ...
   'Callback', 'SyntheFreq', ...
   'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[486.5 135 60 20], ...
	'String',nomfichierLPC, ...
	'Style','popupmenu', ...
   'Tag','SyntheLPC', ...
   'Callback', 'SyntheLPC', ...
   'Value',1);

h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','WindowSenregistrer', ...
	'ListboxTop',0, ...
	'Position',[280 370.25 52.5 23.25], ...
	'String','S''enregistrer', ...
	'Tag','Senregistrer');


h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','EnableEffetEqua;', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[387.75 115.25 17.25 22.5], ...
	'Style','radiobutton', ...
	'Tag','RadioButtonEqualiseur');
h1 = uicontrol('Parent',h0, ...
   'Units','points', ...
   'FontWeight','bold', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[399 120.5 57 12], ...
	'String','Equaliseur', ...
	'Style','text', ...
	'Tag','Equaliseur');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ListboxTop',0, ...
	'Position',[391.5 41.25 115.5 73.5], ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[391.5 22.5 108 21.75], ...
	'String','   30  60  125 250 500 1000 Hz', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[0.4 0.7 0.4], ...
	'ListboxTop',0, ...
	'Position',[499.5 22.5 75 30], ...
	'String','equalizer view   ', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[499.5 99 75 15.75], ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[378.75 22.5 24.75 92.25], ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[563.25 22.5 11.25 92.25], ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[1 0 0], ...
	'ListboxTop',0, ...
	'Position',[378.75 94.5 24.75 9.75], ...
	'String','+20dB', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[0 1 0], ...
	'ListboxTop',0, ...
	'Position',[378.75 54 24.75 10.5], ...
	'String','-20dB', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[0 1 1], ...
	'ListboxTop',0, ...
	'Position',[378.75 74.25 24.75 9.75], ...
	'String','+0dB', ...
	'Style','text', ...
   'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[378.75 104.25 4 222], ...
	'Style','text', ...
   'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[570.5 104.25 4 222], ...
	'Style','text', ...
   'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0 0 0], ...
	'ForegroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[378.75 326.25 195.75 4], ...
	'Style','text', ...
   'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','sliderequa', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[480 49.5 8.25 60], ...
	'Style','slider', ...
	'Tag','Equaliseur6', ...
	'Value',0.5);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','sliderequa', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[465 49.5 8.25 60], ...
	'Style','slider', ...
	'Tag','Equaliseur5', ...
	'Value',0.5);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','sliderequa', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[450 49.5 8.25 60], ...
	'Style','slider', ...
	'Tag','Equaliseur4', ...
	'Value',0.5);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','sliderequa', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[435 49.5 8.25 60], ...
	'Style','slider', ...
	'Tag','Equaliseur3', ...
	'Value',0.5);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','sliderequa', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[420 49.5 8.25 60], ...
	'Style','slider', ...
	'Tag','Equaliseur2', ...
	'Value',0.5);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','sliderequa', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[405 49.5 8.25 60], ...
	'Style','slider', ...
	'Tag','Equaliseur1', ...
	'UserData','[ ]', ...
	'Value',0.5);
h1 = axes('Parent',h0, ...
	'Units','pixels', ...
	'Box','on', ...
	'CameraUpVector',[0 1 0], ...
	'CameraUpVectorMode','manual', ...
	'Color',[1 1 1], ...
	'ColorOrder',mat11, ...
	'CreateFcn','plotedit(gcbf,''promoteoverlay''); ', ...
	'Position',[676 71 76 63], ...
	'Tag','Axes3', ...
	'XColor',[0 0 0], ...
	'YColor',[0 0 0], ...
	'ZColor',[0 0 0]);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4933333333333323 -0.387096774193548 9.160254037844386], ...
	'Tag','Axes3Text4', ...
	'VerticalAlignment','cap');
set(get(h2,'Parent'),'XLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[-0.3866666666666667 0.4838709677419351 9.160254037844386], ...
	'Rotation',90, ...
	'Tag','Axes3Text3', ...
	'VerticalAlignment','baseline');
set(get(h2,'Parent'),'YLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','right', ...
	'Position',[-9.013333333333334 7.983870967741935 9.160254037844386], ...
	'Tag','Axes3Text2', ...
	'Visible','off');
set(get(h2,'Parent'),'ZLabel',h2);
h2 = text('Parent',h1, ...
	'Color',[0 0 0], ...
	'HandleVisibility','off', ...
	'HorizontalAlignment','center', ...
	'Position',[0.4933333333333323 1.112903225806452 9.160254037844386], ...
	'Tag','Axes3Text1', ...
	'VerticalAlignment','bottom');
set(get(h2,'Parent'),'Title',h2);
if nargout > 0, fig = h0; end

if (strcmp(char(nomfichierWAV),'')) 
   WarningWindow;
end