function result = lookforfilebis(input);
% Cette fonction recherche les fichiers dont le nom commence par 'input' et qui sont des porteurs de donnes.
% Les noms sont rendus sous la forme d'un tableau

% Cration de la liste contenant les fichiers recherchs.
D = dir('*.mat');

[Ligne, Colonne] = size(D);


% Cration de la liste contenant les noms des fichiers.

noms = {};

for i=1:1:Ligne
   
   temp = findstr(input, D(i).name);
   if (~isempty(temp) & (temp(1) == 1)) % les fichiers choisis dbutent par 'input'
      noms = cat( 2, noms, {D(i).name(1:end-4)});
   end
      
end

result = noms;